<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:element name="Erklaerungen">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="Erklaerung" maxOccurs="unbounded" minOccurs="0">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="uidFixedEst" type="uid" minOccurs="0" />
							<xs:element name="mscon" type="isoCodesOhneAT" />
							<xs:element name="taxable" type="taxable" />
							<xs:element name="vatRate" type="vatrate" />
						</xs:sequence>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>

	<xs:simpleType name="isoCodesOhneAT">
		<xs:restriction base="xs:string">
			<xs:enumeration value="BE" />
			<xs:enumeration value="BG" />
			<xs:enumeration value="CY" />
			<xs:enumeration value="CZ" />
			<xs:enumeration value="DK" />
			<xs:enumeration value="EE" />
			<xs:enumeration value="FI" />
			<xs:enumeration value="FR" />
			<xs:enumeration value="DE" />
			<xs:enumeration value="EL" />
			<xs:enumeration value="HU" />
			<xs:enumeration value="HR" />
			<xs:enumeration value="IE" />
			<xs:enumeration value="IT" />
			<xs:enumeration value="LV" />
			<xs:enumeration value="LT" />
			<xs:enumeration value="LU" />
			<xs:enumeration value="MT" />
			<xs:enumeration value="NL" />
			<xs:enumeration value="PL" />
			<xs:enumeration value="PT" />
			<xs:enumeration value="RO" />
			<xs:enumeration value="SK" />
			<xs:enumeration value="SI" />
			<xs:enumeration value="ES" />
			<xs:enumeration value="SE" />
			<xs:enumeration value="GB" />
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="taxable">
		<xs:restriction base="xs:string">
			<xs:pattern value="(\d{1,12}\,\d{1,2}|\d{1,12}|\d{1,3}(\.\d{3}){0,3}|\d{1,3}(\.\d{3}){0,3}\,\d{1,2})" />
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="vatrate">
		<xs:restriction base="xs:string">
			<xs:pattern value="(\d{1,2}\,\d{1,2}|\d{1,2})" />
		</xs:restriction>
	</xs:simpleType>
	
	<xs:simpleType name="uid">
		<xs:restriction base="xs:string">
			<xs:pattern value="[A-Z]{2}(.)*" />
		</xs:restriction>
	</xs:simpleType>

</xs:schema>

